Bug 476056 - Review Request: gnustep-back - The GNUstep backend library
Review Request: gnustep-back - The GNUstep backend library
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
:
Depends On: 475861 585721
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-11 13:36 EST by Jochen Schmitt
Modified: 2010-07-22 12:41 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-22 12:41:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
michel: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jochen Schmitt 2008-12-11 13:36:18 EST
Spec URL: http://www.herr-schmitt.de/pub/gnustep-back/gnustep-back.spec
SRPM URL: http://www.herr-schmitt.de/pub/gnustep-back/gnustep-back-0.14.0-1.fc10.src.rpm
Description:
This is a backend for the GNUstep gui Library which allows you to use
the GNUstep gui Library on an X Windows System (other backends will
be added later to allow you to use the GNUstep gui Library in other windowing
environments).  This package includes development headers too.
Comment 1 Jochen Schmitt 2009-10-15 12:21:54 EDT
Based on the other GNUstep releated package reviews I have created a new release of the package:

Spec URL: http://www.herr-schmitt.de/pub/gnustep-back/gnustep-back.spec
SRPM URL:
http://www.herr-schmitt.de/pub/gnustep-back/gnustep-back-0.16.0-2.fc11.src.rpm
Comment 2 Jochen Schmitt 2009-11-17 14:47:40 EST
Ping Michel
Comment 3 Tareq Al Jurf 2010-04-02 04:35:58 EDT
http://fedoraproject.org/wiki/Extras/Policy/StalledReviews

Consider this to indicate that the review is stalled and that a response is
needed soon.

If there is no response in 1 week, we will move this back to NEW and someone 
else can review it.
Comment 4 Michel Alexandre Salim 2010-04-22 18:08:10 EDT
Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2132999
rpmlint (SRPM):
gnustep-back.src: W: spelling-error Summary(en_US) backend -> backed, back end, back-end
gnustep-back.src: W: spelling-error %description -l en_US backend -> backed, back end, back-end
gnustep-back.src: W: spelling-error %description -l en_US gui -> GUI, goo, gun
gnustep-back.src: W: spelling-error %description -l en_US backends -> back ends, back-ends, backhands
gnustep-back.src: W: invalid-url Source0: ftp://ftp.gnustep.org/pub/gnustep/core/gnustep-back-0.16.0.tar.gz <urlopen error ftp error: timed out>
1 packages and 0 specfiles checked; 0 errors, 5 warnings.

rpmlint (RPMs):
gnustep-back.x86_64: W: spelling-error Summary(en_US) backend -> backed, back end, back-end
gnustep-back.x86_64: W: spelling-error %description -l en_US backend -> backed, back end, back-end
gnustep-back.x86_64: W: spelling-error %description -l en_US gui -> GUI, goo, gun
gnustep-back.x86_64: W: spelling-error %description -l en_US backends -> back ends, back-ends, backhands
2 packages and 0 specfiles checked; 0 errors, 4 warnings.

=========================================================
REVIEW

Component	Status	Remarks
rpmlint	NEEDFIX	See spec language
Package & spec names	OK	
Fit for inclusion	OK	
Code or content	OK	
License acceptable	OK	
License accurate	NEEDFIX	Old files (L)GPLv2+, some new files (L)GPLv3+. Change to LGPLv3+ and GPLv3+ and comment that only tools are GPLv3+ ?
License included	OK	
Spec language	NEEDFIX	I suggest switching to back-end(s) and GUI
Source matches	OK	MD5: 31a16abe7c19914c6fe1300881f6c6ab
Compiles	OK	
Complete BRs	OK	
Locale	N/A	
ldconfig	N/A	
no bundled libs	OK	
Dir ownership	NEEDFIX	/usr/share/GNUstep/Documentation/Developer has no owner. Suggest adding to gnustep-filesystem
No dup files	NEEDFIX	ANNOUNCE, NEWS, README should be removed from /usr/share/GNUstep/... -- INSTALL too as it's irrelevant to our users
File perms	OK	
UTF-8 files	OK	
%clean	OK	
rm on %install	OK	
Consistent macros	OK	
Large docs	OK	
%doc unessential	OK	
Headers in -devel	N/A	
*.so.* -> *.so in -devel	N/A	
Static in -static	N/A	
-devel Req main	N/A	
No .la	N/A	
Desktop files	N/A
Comment 5 Jochen Schmitt 2010-05-16 14:58:56 EDT
I have update to 0.18 because this is the last stable release.

Spec URL: http://www.herr-schmitt.de/pub/gnustep-back/gnustep-back.spec
SRPM URL:
http://www.herr-schmitt.de/pub/gnustep-back/gnustep-back-0.18.0-1.fc11.src.rpm
Comment 6 Michel Alexandre Salim 2010-05-19 16:05:51 EDT
The new srpm does not build on F-13 -- try doing a Koji scratch build on the
next update?

$ koji build --scratch dist-f13 ./gnustep-back-*.src.rpm


See build log: http://koji.fedoraproject.org/koji/taskinfo?taskID=2197946
Comment 7 Michel Alexandre Salim 2010-05-19 16:08:00 EDT
Also, since the package needs updating anyway -- license field should be only
"LGPLv3+ and GPLv3+", and put the note about tools as a comment above it. I believe license audits are done by automatically parsing the license fields, so we really don't want a license field failing rpmlint
Comment 8 Jochen Schmitt 2010-06-21 13:42:42 EDT
There is a special issue with gnustep-back-0.18, because it use a feature which is provieded by gnustep-base-1.20. Unfortunately, I can't make an update of gnustep-base on F-13, because the so name of the library was changed. So I have added an addtional BR for gnustep-base-deve.

Spec URL: http://www.herr-schmitt.de/pub/gnustep-back/gnustep-back.spec
SRPM URL:
http://www.herr-schmitt.de/pub/gnustep-back/gnustep-back-0.18.0-2.fc13.src.rpm
Comment 9 Jochen Schmitt 2010-07-06 13:39:02 EDT
I have created a new package with make use of the new parallel build feature
introduced in gnustep-make-2.4.0:

Spec URL: http://www.herr-schmitt.de/pub/gnustep-back/gnustep-back.spec
SRPM URL:
http://www.herr-schmitt.de/pub/gnustep-back/gnustep-back-0.18.0-3.fc13.src.rpm
Comment 10 Michel Alexandre Salim 2010-07-11 08:22:53 EDT
Hi Jochen,

Could you build gnustep-make for F-13 (and preferably also F-12) and push them to the testing repository? Since I'm a comaintainer, I can do that too, but it's better if the person who writes the update also pushes it out.
Comment 11 Jochen Schmitt 2010-07-11 14:19:49 EDT
Should be done.
Comment 12 Michel Alexandre Salim 2010-07-11 16:08:28 EDT
Only two minor changes needed:
- untabify line 24
- mark documentation files as %doc

See below for details:

#+TODO: TODO(t) WAIT(w@/!) FAIL(f@) | DONE(d) N/A(n)

* TODO Review [87%]
** DONE Names [2/2]
*** DONE Package name
*** DONE Spec name
** DONE Meets [[http://fedoraproject.org/wiki/Packaging/Guidelines][guidelines]]
** DONE source files match upstream
   sha1sum: 7b6d46976bd56496d0715c4e150b85c924658b60
** DONE License [3/3]
*** DONE License is Fedora-approved
*** DONE License field accurate
*** DONE License included iff packaged by upstream
** DONE rpmlint [2/2]
*** DONE on src.rpm
    minor glitch:
    gnustep-back.src:24: W: mixed-use-of-spaces-and-tabs (spaces: line
    1, tab: line 24)
    if using Emacs, C-x h M-x untabify would convert all tabs to spaces
*** DONE on x86_64.rpm
    $ rpmlint ~/Downloads/gnustep-back*
    2 packages and 0 specfiles checked; 0 errors, 0 warnings.

** DONE Language & locale [3/3]
*** DONE Spec in US English
*** DONE Spec legible
*** N/A Use %find_lang to handle locale files
** DONE Build [3/3]
*** DONE Koji results
    http://koji.fedoraproject.org/koji/taskinfo?taskID=2311879
*** DONE BRs complete
*** DONE Directory ownership
** TODO Spec inspection [7/8]
*** N/A ldconfig for libraries
*** DONE No duplicate files
*** DONE File permissions
*** DONE Filenames must be UTF-8
*** DONE Has %clean section
    (except F-13+:
    https://fedoraproject.org/wiki/Packaging/Guidelines#.25clean)
*** DONE %buildroot cleaned on %install
*** DONE Macro usage consistent
*** TODO Documentation [2/3]
**** N/A If large docs, separate -doc
**** DONE %doc files are non-essential
**** FAIL Documentation files tagged %doc
     - State "FAIL"       from "TODO"       [2010-07-11 Sun 22:06] \\
       %{_datadir}/GNUstep/Documentation/Developer/Back/ should be marked as such
Comment 14 Michel Alexandre Salim 2010-07-12 15:24:40 EDT
Looks good. APPROVED
Comment 15 Michel Alexandre Salim 2010-07-12 15:25:14 EDT
PS please request at least EL-6, and possibly EL-5 branches as well.
Comment 16 Jochen Schmitt 2010-07-13 13:11:23 EDT
New Package CVS Request
=======================
Package Name: gnustep-back
Short Description: The GNUstep backend library
Owners: s4504kr
Branches: EL-6
InitialCC
Comment 17 Kevin Fenzi 2010-07-13 19:18:24 EDT
CVS done (by process-cvs-requests.py).
Comment 18 Jochen Schmitt 2010-07-22 12:41:30 EDT
Packages built for devel and EL-6

Note You need to log in before you can comment on or make changes to this bug.